g_specializationManager:addSpecialization("nexatDirectSeed", "NexatDirectSeed", g_currentModDirectory.."nexatDirectSeed.lua")

registerNexatDirectSeed = {}
registerNexatDirectSeed.addingDone = false

function registerNexatDirectSeed:register(name)
    if not registerNexatDirectSeed.addingDone then
        for _, vehicle in pairs(g_vehicleTypeManager:getTypes()) do
            if vehicle.name == "pdlc_nexatPack.fertilizingSowingMachineMultiAttach" then
                local hasNexatDirectSeed = false
                for _, spec in pairs(vehicle.specializationNames) do
                    if spec == "nexatDirectSeed" then
                        hasNexatDirectSeed = true
                        break
                    end
                end
                if not hasNexatDirectSeed then
                    g_vehicleTypeManager:addSpecialization(vehicle.name, "FS25_nexatDirectSowing.nexatDirectSeed")
                end
            end
        end
        registerNexatDirectSeed.addingDone = true
    end
end

TypeManager.finalizeTypes = Utils.prependedFunction(TypeManager.finalizeTypes, registerNexatDirectSeed.register)